#include <bits/stdc++.h>

using namespace std;

int a[1000010];
int main(int argc, char** argv) {
	int n,k,d,br=0;
	scanf("%d %d",&n,&k);
	for(int i=0;i<n;i++)
	{
		scanf("%d",&d);
		a[d+n]++;
	}
	for(int i=0;i<2*n+2;i++)
	{
		if(a[i]>=k)br++;
	}
	printf("%d\n",br);
	for(int i=0;i<2*n+2;i++)
	{
		if(a[i]>=k)printf("%d ",i-n);
	}
	return 0;
}